<fieldset>


    <div class="control-group">
        <label class="control-label required">Base API URL</label>
        <div class="controls">
            <?php echo form_input(array(
                'name' => 'api_url',
                'class' => 'span4',
                'value' => set_value('api_url', @$defaults['api_url']))); ?>
            <?php echo form_error('api_url') ?>
            <span class="help-inline"><em>E.g. http://example.com/index.php/api</em></span>
        </div>
    </div>

    <div class="control-group">
        <label class="control-label required">API Key</label>
        <div class="controls">
            <?php echo form_input(array(
                'name' => 'api_key',
                'class' => 'span4',
                'value' => set_value('api_key', @$defaults['api_key']))); ?>
            <?php echo form_error('api_key') ?>
        </div>
    </div>

    <div class="control-group">
        <label class="control-label required">Incident Title</label>
        <div class="controls">
            <?php echo form_input(array(
                'name' => 'title',
                'class' => 'span4',
                'value' => set_value('title', @$defaults['title']))); ?>
            <?php echo form_error('title') ?>
        </div>
    </div>

    <div class="control-group">
        <label class="control-label required">Summary</label>
        <div class="controls">
            <?php echo form_textarea(array(
                'name' => 'summary',
                'rows' => 4,
                'cols' => 200,
                'class' => 'span4',
                'value' => set_value('summary', (array_key_exists('summary', $defaults)) ? $defaults['summary'] : FALSE))); ?>
            <?php echo form_error('summary') ?>
        </div>
    </div>

    <div class="control-group">
        <label class="control-label required">Incident Type Alias</label>
        <div class="controls">
            <?php echo form_input(array(
                'name' => 'type',
                'class' => 'span4',
                'value' => set_value('type', @$defaults['type']))); ?>
            <?php echo form_error('type') ?>
            <span class="help-inline"><em>Alias or ID, e.g. "network-outage"</em></span>
        </div>
    </div>


    <div class="control-group">
        <label class="control-label">Priority</label>
        <div class="controls">
            <select name="priority">
                <option value=""></option>
                <option value="Low" <?php echo reactor_option_selected('priority', 'Low', $defaults) ?>>Low</option>
                <option value="Medium" <?php echo reactor_option_selected('priority', 'Medium', $defaults) ?>>Medium</option>
                <option value="High" <?php echo reactor_option_selected('priority', 'High', $defaults) ?>>High</option>
                <option value="Urgent" <?php echo reactor_option_selected('priority', 'Urgent', $defaults) ?>>Urgent</option>
                <option value="Immediate" <?php echo reactor_option_selected('priority', 'Immediate', $defaults) ?>>Immediate</option>
            </select>
        </div>
    </div>

    <div class="control-group">
        <label class="control-label">Status</label>
        <div class="controls">
            <select name="status">
                <option value=""></option>
                <option value="New" <?php echo reactor_option_selected('status', 'New', $defaults) ?>>New</option>
                <option value="Acknowledged" <?php echo reactor_option_selected('status', 'Acknowledged', $defaults) ?>>Acknowledged</option>
                <option value="Confirmed" <?php echo reactor_option_selected('status', 'Confirmed', $defaults) ?>>Confirmed</option>
                <option value="Resolved" <?php echo reactor_option_selected('status', 'Resolved', $defaults) ?>>Resolved</option>
                <option value="Closed" <?php echo reactor_option_selected('status', 'Closed', $defaults) ?>>Closed</option>
            </select>
        </div>
    </div>

    <div class="control-group">
        <label class="control-label">Users</label>
        <div class="controls">
            <?php echo form_textarea(array(
                'name' => 'users',
                'rows' => 4,
                'cols' => 200,
                'class' => 'span4',
                'value' => set_value('users', (array_key_exists('users', $defaults)) ? $defaults['users'] : FALSE))); ?>
            <?php echo form_error('users') ?>
            <span class="help-inline"><em>One username/id per line</em></span>
        </div>
    </div>

    <div class="control-group">
        <label class="control-label">Teams</label>
        <div class="controls">
            <?php echo form_textarea(array(
                'name' => 'teams',
                'rows' => 4,
                'cols' => 200,
                'class' => 'span4',
                'value' => set_value('teams', (array_key_exists('teams', $defaults)) ? $defaults['teams'] : FALSE))); ?>
            <?php echo form_error('teams') ?>
            <span class="help-inline"><em>One team name/id per line</em></span>
        </div>
    </div>

</fieldset>
